
TYPO3.Neos - Bug # 30638

Status: Resolved Priority: Must have
Author: Roland Schenke Category:
Created: 2011-10-07 Assigned To:
Updated: 2011-11-23 Due date:
Subject: no-brainer: typo in code annotation of SiteImportService::importFromPackage()
Description

namespace TYPO3\TYPO3\Domain\Service
class SiteImportService
public function importFromPackage()

/**
 * Checks for the presence of Content.xml in the given package and imports
 * it if found.
 *
 * @param string $packageKey
 * @return void
 * @author Karsten Dambekalns &lt;karsten@typo3.org&gt;
 * @author Christian Müller &lt;christian@kitsunet.de&gt;
     */
    public function importFromPackage($packageKey) {
[...]
        } elseif (!file_exists('resource://' . $packageKey . '/Private/Content/Sites.xml')) {
[...]

Code annotation mentions 'Content.xml' and file_exists() is looking for 'Sites.xml'.

Rolands-MacBook-Pro:TYPO3v5 rschenke$ git pull
Already up-to-date.
Rolands-MacBook-Pro:TYPO3v5 rschenke$ find . -name Content.xml
Rolands-MacBook-Pro:TYPO3v5 rschenke$ find . -name Sites.xml
./Packages/Sites/TYPO3.PhoenixDemoTypo3Org/Resources/Private/Content/Sites.xml
Rolands-MacBook-Pro:TYPO3v5 rschenke$

So I think Sites.xml is correct and Content.xml a left over. :-)

I assume this is a no-brainer, but I just wanted to mention it. :-)

Associated revisions
Revision f5419b1a - 2011-11-23 09:49 - Markus Goldbeck

[BUGFIX] Adjust filename in method comment

Resolves: Bug #30638

Change-Id: Icbebe0ed80c863d780216a1bc26e5fca994c451c

History
#1 - 2011-11-07 10:16 - Sebastian Kurfuerst
- Tracker changed from Task to Bug
- Project changed from Base Distribution to TYPO3.Neos
- Priority changed from Should have to Must have

certainly easy to fix, so we should do that :)

#2 - 2011-11-18 12:01 - Christian Müller
- Status changed from New to Accepted

Markus is working on it!

#3 - 2011-11-23 09:58 - Christian Müller
- Status changed from Accepted to Resolved

https://review.typo3.org/#change,6865 merged.
